Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class DbConnector

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.DbConnector

    public class DbConnector

extends java.lang.Object

Version:
  $Id: DbConnector.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`DbConnector(BusinessDbConnectionSource dbc)`

Method Summary
`void` | `close()`
`java.sql.Connection` | `getConnection()`
`java.lang.String` | `getSelectStringColumnDataType(java.lang.String tableName, java.lang.String owner, java.lang.String columnName)`
`static void` | `infoOutput(java.lang.String out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbConnector

    public DbConnector(BusinessDbConnectionSource dbc)
                throws java.sql.SQLException

Parameters:
  `dbc` - is `null`, if these classes are used as stored procedures. Otherwise `dbc` is the thread's `edu.udo.cs.miningmart.m4.core.utils.Db` object, which is used to request a JDBC connection to the business data schema.
Throws:
  `java.sql.SQLException` - if the connection cannot be established

Method Detail

### getConnection

    public java.sql.Connection getConnection()

### close

    public void close()

### infoOutput

    public static void infoOutput(java.lang.String out)

### getSelectStringColumnDataType

    public java.lang.String getSelectStringColumnDataType(java.lang.String tableName,
                                                          java.lang.String owner,
                                                          java.lang.String columnName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005